﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System.Drawing;

namespace WTM_RibbonSettings
{
    class CustomDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is RibbonAreaUIElement)
                drawParams.DrawBorders(UIElementBorderStyle.Solid, System.Windows.Forms.Border3DSide.Bottom,
                                   Color.LightGray, drawParams.Element.Rect, drawParams.Element.ClipRect);
            else
                drawParams.DrawBorders(UIElementBorderStyle.Solid, System.Windows.Forms.Border3DSide.Bottom,
                                   Color.White, drawParams.Element.Rect, drawParams.Element.ClipRect);
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is RibbonAreaUIElement 
                            ||drawParams.Element is RibbonPagerAreaUIElement)
                return DrawPhase.BeforeDrawBorders;

            return DrawPhase.None;
        }
    }
}
